Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.engine
Class FreeMarkerEngine.BundleTemplateLoader

    java.lang.Object
      com.ssaglobal.generator.engine.FreeMarkerEngine.BundleTemplateLoader

All Implemented Interfaces:
  freemarker.cache.TemplateLoader

Enclosing class:
  FreeMarkerEngine

    public static class FreeMarkerEngine.BundleTemplateLoader

extends java.lang.Object
implements freemarker.cache.TemplateLoader

Constructor Summary
`FreeMarkerEngine.BundleTemplateLoader(org.eclipse.core.runtime.Plugin plugin, java.lang.String templateRoot)`

Method Summary
`void` | `closeTemplateSource(java.lang.Object templateSource)`
`java.lang.Object` | `findTemplateSource(java.lang.String name)`
`long` | `getLastModified(java.lang.Object arg0)`
`java.io.Reader` | `getReader(java.lang.Object templateSource, java.lang.String encoding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FreeMarkerEngine.BundleTemplateLoader

    public FreeMarkerEngine.BundleTemplateLoader(org.eclipse.core.runtime.Plugin plugin,
                                                 java.lang.String templateRoot)

Method Detail

### findTemplateSource

    public java.lang.Object findTemplateSource(java.lang.String name)
                                        throws java.io.IOException

  Specified by:
    `findTemplateSource` in interface `freemarker.cache.TemplateLoader`
  Throws:
    `java.io.IOException`

### getLastModified

    public long getLastModified(java.lang.Object arg0)

  Specified by:
    `getLastModified` in interface `freemarker.cache.TemplateLoader`

### getReader

    public java.io.Reader getReader(java.lang.Object templateSource,
                                    java.lang.String encoding)
                             throws java.io.IOException

  Specified by:
    `getReader` in interface `freemarker.cache.TemplateLoader`
  Throws:
    `java.io.IOException`

### closeTemplateSource

    public void closeTemplateSource(java.lang.Object templateSource)
                             throws java.io.IOException

  Specified by:
    `closeTemplateSource` in interface `freemarker.cache.TemplateLoader`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD